jmarkov.gui

## Class TextPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - jmarkov.gui.InfoPanel
          - - jmarkov.gui.TextPanel

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

      public class TextPanel
      extends InfoPanel
      implements java.awt.event.ActionListener

  This class is an extended TextArea, that includes a toollbar for commands such as saving, selecting and cleaning the text. Its main purpose is to report information to the user and thus it does not allow editing.
  Author:
    Germán Riaño. Universidad de los Andes.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JComponent

      `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextPanel(java.lang.String title)` Creates a TextPanel with this title and text.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`
    `void` | `append(java.lang.String s)` Appends the string and scrolls to make it visible.
    `void` | `append(java.lang.String s, boolean showText)` Appends text.
    `void` | `captureStandardErr()` Forces this control to capture std. err
    `void` | `captureStandardOut()` Forces this control to capture std. out.
    `void` | `captureStream(java.io.PrintStream out)` Captures the given PrintStream
    `void` | `clear()` Clears the current text.
    `java.io.OutputStream` | `getStream()`
    `java.lang.String` | `getText()`
    `boolean` | `isAutoShow()`
    `void` | `saveFile()` Calls the save dialog.
    `void` | `setAutoShow(boolean show)` Sets whether append should call showText.
    `void` | `setText(java.lang.String s)` Sets the text (deleting whatever was there)
    `void` | `setText(java.lang.String s, boolean showText)`
    `void` | `showTxt()` Ensures that the last line of text writen is visible.
    `void` | `updateMP()` This method is called whenever the SimpleMarkovProcess associated with this Panel has changed.

    - ### Methods inherited from class jmarkov.gui.InfoPanel

      `getMP, setMP, unloadMP`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TextPanel

          public TextPanel(java.lang.String title)

      Creates a TextPanel with this title and text.
      Parameters:
        `title` - The title of the panel

  - ### Method Detail

    - #### setText

          public void setText(java.lang.String s)

      Sets the text (deleting whatever was there)
      Parameters:
        `s` - The text to write

    - #### setText

          public void setText(java.lang.String s,
                     boolean showText)

      Parameters:
        `s` - Text to set
        `showText` - whether it should scroll to meke text visible.

    - #### append

          public void append(java.lang.String s)

      Appends the string and scrolls to make it visible.
      Parameters:
        `s` -

    - #### append

          public void append(java.lang.String s,
                    boolean showText)

      Appends text.
      Parameters:
        `s` - The string to add.
        `showText` - Whether it should scroll to show the text.

    - #### getText

          public java.lang.String getText()

      Returns:
        The current Text on the control

    - #### showTxt

          public void showTxt()

      Ensures that the last line of text writen is visible.

    - #### getStream

          public java.io.OutputStream getStream()

      Returns:
        The OutputStream assciated with the control

    - #### captureStandardOut

          public void captureStandardOut()

      Forces this control to capture std. out.

    - #### captureStandardErr

          public void captureStandardErr()

      Forces this control to capture std. err

    - #### captureStream

          public void captureStream(java.io.PrintStream out)

      Captures the given PrintStream
      Parameters:
        `out` -

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### clear

          public void clear()

      Clears the current text.

    - #### saveFile

          public void saveFile()

      Calls the save dialog.

    - #### isAutoShow

          public boolean isAutoShow()

      Returns:
        true if showText() is called whenever append is called.

    - #### setAutoShow

          public void setAutoShow(boolean show)

      Sets whether append should call showText.
      Parameters:
        `show` - True if showText() is called automatically.

    - #### updateMP

          public void updateMP()

      Description copied from class: `InfoPanel`
      This method is called whenever the SimpleMarkovProcess associated with this Panel has changed. The classes must implement this to show the relevant information. Note that `mp` might be null.